package com.bwie.common.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author: zhx
 * @Package: com.bwie.common.domain
 * @Datetime: 2023/12/18 20:30
 * @Filename: Health
 */
@Data
public class Health {

    /**
     *编号
     */
    private Integer healthId;
    /**
     *卫生详情
     */
    private String healthText;
    /**
     *图片
     */
    private String healthPic;
    /**
     *拍照时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date healthTime;
    /**
     *学生id
     */
    private Integer stuId;
    /**
     *学生姓名
     */
    private String name;
    /**
     *班级id
     */
    private Integer clazzId;
    /**
     *班级
     */
    private String clazzName;


}
