package com.bwie.mapper;

import com.bwie.common.domain.Aop;
import com.bwie.common.domain.Health;
import com.bwie.common.domain.Notice;
import com.bwie.common.domain.request.HealthRequest;
import com.bwie.common.domain.request.NoticeRequest;
import com.bwie.common.domain.request.PutHealth;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author: zhx
 * @Package: com.bwie.mapper
 * @Datetime: 2023/12/18 19:31
 * @Filename: NoticeMapper
 */
@Mapper
public interface HealthMapper {


    List<Health> list(HealthRequest healthRequest);

    int updateHealth(PutHealth putHealth);

    void addAop(Aop aop);
}
