package com.bwie.feign;

import com.bwie.common.domain.Admin;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @Author: zhx
 * @Package: com.bwie.feign
 * @Datetime: 2023/12/18 16:14
 * @Filename: AuthFeign
 */
@FeignClient("bwie-user")
public interface AuthFeign {
    @GetMapping("/findPhone")
    public Result<Admin> findPhone(@RequestParam String phone);
}
