package com.bwie.common.domain;

import com.alibaba.nacos.shaded.org.checkerframework.checker.units.qual.A;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author: zhx
 * @Package: com.bwie.common.domain
 * @Datetime: 2023/12/19 9:11
 * @Filename: Aop
 */
@Data
public class Aop {

    /**
     * 卫生操作日志
     */

    /**
     * 日志id
     */
    private Integer aopId;

    /**
     * 操作名称
     */

    private String aopName;
    /**
     * 时间
     */

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date aopTime;
    /**
     * 操作人
     */
    private Integer adminId;

    public Aop() {
    }

    public Aop(String aopName, Integer adminId) {
        this.aopName = aopName;
        this.adminId = adminId;
    }
}
